<!DOCTYPE html>
{% load static %}
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <title>ListAuctions</title>
    <link rel="stylesheet" type="text/css" href="{% static "css/main.css" %}">
    <script type="text/javascript" src="{% static "js/main.js" %}"></script>
    <script type="text/javascript" src="{% static "js/jquery-3.5.1.min.js" %}"></script>
</head>
<body>
<div class="result-table">
    <table class="result-table">
    <caption>Список аукционов</caption>
        <tr>
            <td>ID аукциона</td>
            <td>Количество лотов</td>
            <td>Тематика</td>
            <td>Открытый</td>
            <td>На повышение</td>
            <td>Дата начала</td>
            <td>Продолжительность</td>
            <td>ID создателя</td>
        </tr>
        {% for auction in data %}
            <tr>
                <td>{{ auction.id }}</td>
                <td>{{ auction.cap }}</td>
                <td>{{ auction.theme }}</td>
                <td>
                    {%if auction.is_opened == True %}
                        Yes
                    {% else %}
                        No
                    {% endif %}
                </td>
                <td>
                    {%if auction.is_incr == True %}
                        Yes
                    {% else %}
                        No
                    {% endif %}
                </td>
                <td>{{ auction.start_datetime }}</td>
                <td>{{ auction.durability }}</td>
                <td>{{ auction.employee_id }}</td>
            </tr>
        {% endfor %}
        <label>
            <span>ID аукциона</span>
            <input type="text" class="text" name="auction_id" id="auction_id" placeholder="ID аукциона">
        </label>
        <input type="button" class="button" onclick="RequestForm()" value="Выбрать аукцион"> 
        <input type="button" class="button" onclick="history.back();" value="Назад"> 
</div>
</body>